	/********************************************************
	* Misc functions
	********************************************************/

	//open single window
	function openWindow(chrome,openAs,preferences)
	{
		window.open(chrome, openAs, preferences);
	}

	//remove all childNodes
	function clearAllChildNodes(editNode) 
	{ 
		if(editNode.hasChildNodes()) 
	    	{ 
			var nodeLst = editNode.childNodes; 
			var numberOfElements = nodeLst.length;     
         
			for(var i = 0; i < numberOfElements; i++) 
			{ 
				var removeThisNode = nodeLst.item(i); 
     
 				//if can remove 
 				try 
 				{ 
  					editNode.removeChild(removeThisNode); 
				} 
				catch(e) 
				{ 
					showError(e); 
					break; 
				} 
			} 
		} 
		return editNode; 
	} 

	//remove in string from lastIndexOf > end
	function cutEndOfString(sData, sDelim, boolStart, nLength)
	{
		var sizeCheckArray = new Array();
		sizeCheckArray = sData.split(sDelim);
		if(sizeCheckArray.length > nLength)
		{
			if(boolStart)
			{
				//cut from left
				sData = sData.substr((sData.indexOf(sDelim) + sDelim.length));
			}
			else
			{
				//cut from right
				sData = sData.substr(0, sData.lastIndexOf(sDelim));
			}
		}
		return sData;
	}

	function showError(sError)
	{
		alert("Error in easysearch:\n" + sError + "\nPlease contact andreas@gnunet.nu to get this bug solved");
	}